package com.yunzhupaas.cm.service;

import com.yunzhupaas.cm.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.cm.model.contract.*;
import java.util.*;

/**
 * 合同管理
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-05-20
 */
public interface ContractService extends SuperService<ContractEntity> {
    List<ContractEntity> getList(ContractPagination contractPagination);

    List<ContractEntity> getTypeList(ContractPagination contractPagination,String dataType);

    ContractEntity getInfo(String contractid);

    void delete(ContractEntity entity);

    void create(ContractEntity entity);

    boolean update(String contractid, ContractEntity entity);

	String checkForm(ContractForm form,int i);

    void saveOrUpdate(ContractForm contractForm,String id, boolean isSave) throws Exception;
}
